searchNodes=[{"doc":"Toolset for working with the PGP word list. Allows converting hex to / from words. The word list itself belongs to PGP Corporation.","ref":"PgpWordlist.html","title":"PgpWordlist","type":"module"},{"doc":"Converts a 2 digit hex string (with uppercase letters) and even / odd position into a word on the PGP word list. pos is based on whether the hex appears at an even or odd index rem(INDEX, 2) Examples iex&gt; PgpWordlist.hex_to_word(&quot;00&quot;, 0) &quot;aardvark&quot; iex&gt; PgpWordlist.hex_to_word(&quot;00&quot;, 1) &quot;adroitness&quot; iex&gt; PgpWordlist.hex_to_word(&quot;FF&quot;, 0) &quot;Zulu&quot; iex&gt; PgpWordlist.hex_to_word(&quot;FF&quot;, 1) &quot;Yucatan&quot; iex&gt; PgpWordlist.hex_to_word(&quot;1&quot;, 1) ** (ArgumentError) Hex must be 2 bytes long (&#39;01&#39; instead of &#39;1&#39;)","ref":"PgpWordlist.html#hex_to_word/2","title":"PgpWordlist.hex_to_word/2","type":"function"},{"doc":"Converts an even length hex string to list of words Examples iex&gt; PgpWordlist.hex_to_words(&quot;00&quot;) [&quot;aardvark&quot;] iex&gt; PgpWordlist.hex_to_words(&quot;E582&quot;) [&quot;topmost&quot;, &quot;Istanbul&quot;] iex&gt; PgpWordlist.hex_to_words(&quot;82E5&quot;) [&quot;miser&quot;, &quot;travesty&quot;] iex&gt; PgpWordlist.hex_to_words(&quot;00F&quot;) ** (ArgumentError) Hex must be an even amount of bytes long","ref":"PgpWordlist.html#hex_to_words/1","title":"PgpWordlist.hex_to_words/1","type":"function"},{"doc":"Converts a word to a hex based on the PGP word list. Will handle different cases of words and return hex with uppercase letters. Examples iex&gt; PgpWordlist.word_to_hex(&quot;AARDVARK&quot;) &quot;00&quot; iex&gt; PgpWordlist.word_to_hex(&quot;aardvark&quot;) &quot;00&quot; iex&gt; PgpWordlist.word_to_hex(&quot;AardVaRk&quot;) &quot;00&quot; iex&gt; PgpWordlist.word_to_hex(&quot;woodlark&quot;) &quot;FE&quot;","ref":"PgpWordlist.html#word_to_hex/1","title":"PgpWordlist.word_to_hex/1","type":"function"},{"doc":"Converts a list of words to hex based on the PGP word list Examples iex&gt; PgpWordlist.words_to_hex([&quot;topmost&quot;, &quot;Istanbul&quot;, &quot;Pluto&quot;, &quot;vagabond&quot;]) &quot;E58294F2&quot; iex&gt; PgpWordlist.words_to_hex([&quot;miser&quot;, &quot;travesty&quot;]) &quot;82E5&quot;","ref":"PgpWordlist.html#words_to_hex/1","title":"PgpWordlist.words_to_hex/1","type":"function"},{"doc":"PgpWordlist Library for converting hex to / from the PGP word list. Word source: https://en.wikipedia.org/wiki/PGP_word_list","ref":"readme.html","title":"PgpWordlist","type":"extras"},{"doc":"If available in Hex, the package can be installed by adding pgp_wordlist to your list of dependencies in mix.exs: def deps do [ {:pgp_wordlist, &quot;~&gt; 0.1.0&quot;} ] end Documentation can be generated with ExDoc and published on HexDocs. Once published, the docs can be found at https://hexdocs.pm/pgp_wordlist.","ref":"readme.html#installation","title":"PgpWordlist - Installation","type":"extras"}]